/*
 Theme Name:   GeneratePress Child
 Theme URI:    https://generatepress.com
 Description:  Default GeneratePress child theme
 Author:       Tom Usborne
 Author URI:   https://tomusborne.com
 Template:     generatepress
 Version:      0.1
*/

/* Buttons */

.blue-button {
  padding: 5px 30px 5px 30px;
  border-radius: 8px;
  background: rgb(60, 191, 237);
  background: linear-gradient(
    282deg,
    rgba(60, 191, 237, 1) 43%,
    rgba(39, 137, 204, 1) 100%
  );
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.blue-button:hover {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px !important;
}

.purple-button {
  background: rgb(184, 161, 167);
  background: linear-gradient(
    282deg,
    rgba(184, 161, 167, 0.8911939775910365) 14%,
    rgba(69, 18, 32, 1) 69%
  );
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.purple-button:hover {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.orange-button {
  background: rgb(231, 140, 47);
  background: linear-gradient(
    282deg,
    rgba(231, 140, 47, 1) 21%,
    rgba(233, 135, 150, 1) 65%
  );
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.orange-button:hover {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.purple-rain-button {
  background: rgb(231, 173, 230);
  background: linear-gradient(
    282deg,
    rgba(231, 173, 230, 1) 12%,
    rgba(146, 43, 145, 1) 75%
  );
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.purple-rain-button:hover {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.product-button {
  background: rgb(241, 168, 110);
  background: linear-gradient(
    282deg,
    rgba(241, 168, 110, 1) 12%,
    rgba(228, 98, 95, 1) 75%
  );
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.product-button:hover {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 2px 5px -1px,
    rgba(0, 0, 0, 0.3) 0px 1px 3px -1px;
}

.social-icons a {
  color: white;
}

/* Fix Container */

.custom-grid-container {
  overflow: hidden;
}

/* Flexbox List */

@media (min-width: 700px) {
  .margin-paragraph {
    margin-top: -80px;
    background-color: white;
  }
}

/* Diafora */

.one-container.archive .post:not(:last-child),
.one-container.blog .post:not(:last-child) {
  padding-bottom: 10px !important;
}

/* .all-products-container {
  overflow: hidden;
} */

@media screen and (max-width: 700px) {
  .live-what-you-want {
    margin-top: 14em;
    background: rgb(210, 210, 210);
    background: rgb(210, 210, 210);
    background: linear-gradient(
      282deg,
      rgba(210, 210, 210, 0.6587009803921569) 27%,
      rgba(210, 210, 210, 0.711922268907563) 75%
    );
  }
}

.navigation-search input[type="search"],
.navigation-search input[type="search"]:active,
.navigation-search input[type="search"]:focus,
.main-navigation .main-nav ul li.search-item.active > a {
  margin-top: 60px;
  border: 2px solid black;
  opacity: 1;
  z-index: 10;
}

/* Andreas Moutsis @ Socialab */

/*Ingredients*/

@media screen and (min-width: 1024px) {
  #ingredients-categories {
    column-count: 3;
    -moz-column-count: 3;
    -webkit-column-count: 3;
    column-gap: 1em;
    -moz-column-gap: 1em;
    -webkit-column-gap: 1em;
  }
  #ingredients-categories > div {
    margin: 2px;
    display: inline-block;

    width: 100%;
    height: 30px;
  }
  .ingredient-category a {
    font-size: 15px;
  }
}

.wp-block-post-date {
  display: none;
}

/* Ingredients PC */
@media screen and (min-width: 1024px) {
  .ingredients-flexbox {
    column-count: 3;
    -moz-column-count: 3;
    -webkit-column-count: 3;
    column-gap: 1em;
    -moz-column-gap: 1em;
    -webkit-column-gap: 1em;
  }

  .ingredients-flexbox > div {
    margin: 5px;
    display: inline-block;
    margin: 0 0 1em;
    width: 100%;
    padding: 20px;
    background-color: #f9f9f9;
    margin-bottom: 1em;
    transition: 0.5s;
  }

  .ingredients-box {
  }

  .ingredients-heading {
    text-align: center;
  }

  .ingredients-box h2 {
    text-align: center;
  }

  .ingredients-flexbox a {
    color: black;
  }

  .all-ingredients-ajax {
    column-count: 3;
    -moz-column-count: 3;
    -webkit-column-count: 3;
    column-gap: 1em;
    -moz-column-gap: 1em;
    -webkit-column-gap: 1em;
  }

  .all-ingredients-ajax h4 {
    margin: 5px;
    display: inline-block;
    margin: 0 0 1em;
    width: 100%;
    padding: 20px;
    background-color: #f9f9f9;
    margin-bottom: 1em;
    transition: 0.5s;
  }
}

/* Ingredients Mobile */
@media screen and (max-width: 1024px) {
  .ingredients-flexbox {
    column-count: 1;
    -moz-column-count: 1;
    -webkit-column-count: 1;
    column-gap: 1em;
    -moz-column-gap: 1em;
    -webkit-column-gap: 1em;
  }

  .ingredients-flexbox > div {
    margin: 5px;
    display: inline-block;
    margin: 0 0 1em;
    width: 100%;
    padding: 20px;
    background-color: #f9f9f9;
    margin-bottom: 1em;
    transition: 0.5s;
  }

  .ingredients-flexbox a {
    color: black;
  }
  .ingredients-flexbox h4 {
    text-align: center;
  }
}

/* Hide PC version */

@media only screen and (max-width: 1024px) {
  #ingredients-categories {
    display: none;
  }
}

/* Hide Mobile Version */

@media only screen and (min-width: 1024px) {
  #mobile-ingredients-categories {
    display: none;
  }
}

/* Andreas Moutsis @ Socialab */

@media (min-width: 1024px) {
  .products-header-text {
    margin-top: -18vh;
    padding: 40px;
    background-color: white;
    box-shadow: rgba(17, 17, 26, 0.1) 0px 4px 16px,
      rgba(17, 17, 26, 0.05) 0px 8px 32px;
    border-radius: 5px;
  }
}

@media (max-width: 1024px) {
  .products-header-text {
    padding: 20px;
    background-color: white;
    /* border: 2px solid #222; */
  }
}

@media (min-width: 1024px) {
  .page-id-28 p,
  .page-id-30 p,
  .single p {
    text-align: justify;
  }
}

.site-header {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

#sticky-navigation {
  box-shadow: rgba(50, 50, 93, 0.25) 0px 13px 27px -5px,
    rgba(0, 0, 0, 0.3) 0px 8px 16px -8px;
}

.pro-menu-bars,
.icon-search {
  font-size: 20px;
}

/* Header */

@media (max-width: 1024px) {
  .pro-menu-bars,
  .icon-search,
  .social-icons {
    display: none;
  }
}

/* Alignment */

@media (min-width: 1024px) {
  #primary-menu {
    max-width: 960px;
    margin: auto;
  }
}

@media (min-width: 1024px) {
  .inside-header > .site-branding,
  .inside-header > .navigation-branding,
  .inside-header > .site-logo,
  .site-branding-container,
  #site-navigation .navigation-branding .site-logo,
  #sticky-navigation .navigation-branding {
    position: absolute;
    left: 50%;
    transform: translateX(-50%);
    z-index: 1000;
  }
  #site-navigation {
    margin-left: unset !important;
    display: flex;
  }
  .site-header .main-navigation:not(#sticky-navigation) .inside-navigation {
    margin: unset;
  }
  #site-navigation,
  #primary-menu,
  .main-navigation .inside-navigation {
    flex: 1;
  }
  /* Change nth-child(#) to first item to right */
  .main-navigation ul li:nth-child(4) {
    margin-left: auto;
  }
}

/* Sticky Navigation */

.main-navigation.navigation-stick {
  background: rgb(202, 34, 44);
  background: linear-gradient(
    282deg,
    rgba(202, 34, 44, 0.6502976190476191) 14%,
    rgba(202, 34, 44, 1) 69%
  );
}

/* Underline Navigation */

@media (min-width: 769px) {
  .main-navigation .menu > .menu-item > a::after {
    content: "";
    position: absolute;
    right: 0;
    left: 50%;
    bottom: 15px;
    -webkit-transform: translate3d(-50%, 0, 0);
    transform: translate3d(-50%, 0, 0);
    display: block;
    width: 0;
    height: 2px;
    background-color: currentColor;
    transition: 0.3s width ease;
  }
  .main-navigation .menu > .menu-item.current-menu-item > a::after,
  .main-navigation .menu > .menu-item.current-menu-ancestor > a::after,
  .main-navigation .menu > .menu-item > a:hover::after {
    width: 50%;
  }
}

.header-button {
  padding: 5px 25px;
  border-radius: 5px;
  background: rgb(60, 191, 237);
  background: linear-gradient(
    282deg,
    rgba(60, 191, 237, 1) 43%,
    rgba(39, 137, 204, 1) 100%
  );
}

.header-button a {
  color: white;
}

.social-icons svg {
  margin: 3px;
}

/* Map Fixes */

.acf-map {
  width: 100%;
  height: 500px;
  border: #ccc solid 1px;
  margin: 20px 0;
}

/* fixes potential theme css conflict */

/* More Fixes */

.mySwiperProducts {
  overflow: hidden;
}

.align-center {
  text-align: center !important;
}

/* ACF fields Fixes & Inputs */

#acf-field_619f6ef9d663f {
  padding: 10px !important;
  border-radius: 10px !important;
}

.af-submit-button {
  border-radius: 10px !important;
  padding: 5px 60px 5px !important;
}

.max-width-acf {
  max-width: 60%;
}

.over-flow-container {
  overflow: hidden;
}

.acf-fields > .acf-field {
  border-top: 0px !important;
}

#acf-field_619e6027fb727 {
  padding: 8px;
  border-radius: 5px;
}

.acf-label label {
  display: none !important;
}

.acf-input a {
  color: whitesmoke;
  text-decoration: underline;
}

.acf-input {
  color: whitesmoke;
}

.af-success p {
  color: white;
}

input[type="checkbox"] {
  transform: scale(1.3);
}

@media (min-width: 700px) {
  .pharmacy-title {
    text-align: center;
    padding: 20px;
  }
  .map-filtering {
    display: flex;
    align-items: center;
    justify-content: center;
  }
  .nomos-div {
    padding-right: 20px;
  }
}

@media (max-width: 700px) {
  .pharmacy-title {
    text-align: center;
    padding: 20px;
  }
  .nomos-div {
    padding: 2vh;
  }
  .area-div {
    padding: 2vh;
  }
}

/* Mobile Filtering */

@media (min-width: 1024px) {
  .mobile-filter {
    display: none;
  }
}

@media (max-width: 1024px) {
  .custom-grid {
    display: none;
  }
}

@media (max-width: 1024px) {
  .mobile-filter {
    padding: 20px;
    margin-bottom: 1em;
    text-align: Center;
  }
  .mobile-rain-button {
    border-radius: 5px;
    background-color: #c9272e;
  }
  .dropdown {
    position: relative;
    display: inline-block;
  }
  .mobile-filter {
    padding: 20px;
    text-align: Center;
  }
  .mobile-rain-button {
    border-radius: 5px;
    background-color: #c9272e;
  }
  .dropdown-content {
    display: none;
    background-color: #f1f1f1;
    overflow: hiden;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
  }
  .dropdown-content a {
    padding: 5px;
    display: block;
  }
  .dropdown a:hover {
    background-color: #ddd;
  }
  .show {
    display: block;
  }
}
